Subject: Re: bug#6014: processing of "'" inside Emacs octave-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 31 Aug 2010 14:56:01 +0200

> I have to interchange programs with collegues working under
> MatLab. This implies that I have to use the single quote as string
> delimiter. I enclose a simple .m file where MatLab's editor smart
> indent feature works OK, but octave-mode chokes on the seventh
> line. It considers a brace is opened; this doesn't occur if I use a
> double quote instead. Would it be possible to have the single and
> double quote treated the same way ?

The latest code in Emacs's trunk (slated for Emacs-24) handles your
example correctly.  Please try it (it also includes a complete rewrite
of the indentation and navigation code).

        Stefan